Bug 206681 - "Browsing Off" does not seem to work in cups-1.2.3-1.2
"Browsing Off" does not seem to work in cups-1.2.3-1.2
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-15 13:14 EDT by Chris Tatman
Modified: 2008-05-06 12:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:20:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
My cupsd.conf file (21.57 KB, application/octet-stream)
2006-09-15 13:14 EDT, Chris Tatman
no flags Details

  None (edit)
Description Chris Tatman 2006-09-15 13:14:04 EDT
Description of problem:
After setting Browsing Off option in cupsd.conf, a restart of cups shows
printers still getting picked up off the network.

Version-Release number of selected component (if applicable):
cups-1.2.3-1.2

How reproducible:
Every time

Steps to Reproduce:
1.  Edit the /etc/cupsd.conf file and add the following line:
Browsing Off
2.  Restart cups
3.  Use lpstat to view available printers
  
Actual results:
Browsed printers are being added to /etc/printcap and showing up as available

Expected results:
Browsing Off should turn off browsing for printers

Additional info:  debug mode logging shows the printers being added during restart
Comment 1 Chris Tatman 2006-09-15 13:14:04 EDT
Created attachment 136378 [details]
My cupsd.conf file
Comment 2 Tim Waugh 2006-09-26 12:06:20 EDT
Perhaps they are being loaded from /var/cache/cups/remote.cache?

..or else, perhaps the 'Browsing Off' line is getting overwritten by
system-config-printer.  The correct way to do what you want in Fedora Core 5 is
to use system-config-printer to adjust the setting.
Comment 3 Bug Zapper 2008-04-03 23:45:18 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 12:20:44 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.